Name:          libimobiledevice
Version:       1.3.0
Release:       3
Summary:       A library and tools to communicate with mobile devices
License:       LGPLv2+
URL:           http://www.libimobiledevice.org/
Source0:       http://github.com/libimobiledevice/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: autoconf automake glib2-devel gnutls-devel libusbmuxd-devel libusbx-devel
BuildRequires: libgcrypt-devel libplist-devel libtool libtasn1-devel libxml2-devel readline-devel swig
Obsoletes:     libimobiledevice-utils
Provides:      libimobiledevice-utils

%description
A library for connecting to mobile devices like phones and music players.

%package devel
Summary: This package contains development files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with libimobiledevice.

%package help
Summary: This package contains help documents
Requires: %{name}%{?_isa} = %{version}-%{release}

%description help
Files for help with libimobiledevice.


%prep
%autosetup -p1
chmod ugo+x docs/html
ACLOCAL="aclocal -I m4" autoreconf -f -i

%build
%configure --disable-openssl --enable-dev-tools --without-cython
sed -i -e 's/^hardcode_libdir_flag_spec=.*/hardcode_libdir_flag_spec=""/g' \
-e 's/^runpath_var=LD_RUN_PATH/runpath_var=DIE_RPATH_DIE/g' libtool
%make_build V=1

%install
%make_install
mv COPYING.LESSER COPYING
%delete_la_and_a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/libimobiledevice-1.0.so.6*
%{_bindir}/idevice*

%files devel
%doc docs/html/
%{_libdir}/libimobiledevice-1.0.so
%{_libdir}/pkgconfig/libimobiledevice-1.0.pc
%{_includedir}/libimobiledevice/

%files help
%doc %{_datadir}/man/man1/idevice*
%doc AUTHORS README.md

%changelog
* Fri Apr 15 2022 panxiaohe <panxh.life@foxmail.com> - 1.3.0-3
- delete useless old version dynamic library

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.3.0-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git-core

* Thu Aug 6 2020 zhanzhimin <zhanzhimin@huawei.com> - 1.3.0-1
- Update to 1.3.0

* Thu Sep 19 2019 Yiru Wang <wangyiru1@huawei.com> - 1.2.0-18
- Pakcage init
